local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end
local AddonName, a = ...
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables
local config = {}
config.event = {}

local c = BittensSpellFlashLibrary

function config.OtherAurasFunction()
    -- This is called before Spells.lua loads, so sadly we have to hard code
    -- the spell ids.
    s.SetOtherAuras(77575--[[Outbreak]], 59921--[[Frost Fever]])
    s.SetOtherAuras(77575--[[Outbreak]], 59879--[[Blood Plague]])
    s.SetOtherAuras(45477--[[Icy Touch]], 59921--[[Frost Fever]])
    s.SetOtherAuras(45462--[[Plague Strike]], 59879--[[Blood Plague]])
    s.SetOtherAuras(49184--[[Howling Blast]], 59921--[[Frost Fever]])
    s.SetOtherAuras(47541--[[Death Coil]], 49572--[[Shadow Infusion]])
end

function config.event.UNIT_SPELLCAST_SUCCEEDED(
    event, unit, spell, rank, lineID, spellID)
    
    if unit ~= "player" then
        return
    end
    
    c.Init(a)
    if spellID == c.GetID("FS") then
        a.DelayKM()
    elseif spellID == c.GetID("HB") then
        if c.HasBuff("Freezing Fog", true) then
            a.BumpRP(10)
        else
            a.BumpRP(20)
        end
    elseif spellID == c.GetID("OB") then
        a.DelayObliterate()
        a.DelayKM()
        a.BumpRP(30)
    elseif spellID == c.GetID("PS")
        or spellID == c.GetID("IT")
        or spellID == c.GetID("DnD")
        or spellID == c.GetID("SS") then
        
        a.BumpRP(10)
    elseif spellID == c.GetID("FeS") then
        a.BumpRP(20)
    end
end

config.CheckButtonOptions = {
	LeftCheckButton1 = {
		DefaultChecked = true,
		ConfigKey = "blood_off",
		Label = L["Flash Blood"],
	},
	LeftCheckButton2 = {
		DefaultChecked = true,
		ConfigKey = "frost_off",
		Label = L["Flash Frost"],
	},
	LeftCheckButton3 = {
		DefaultChecked = true,
		ConfigKey = "unholy_off",
		Label = L["Flash Unholy"],
	},
	LeftCheckButton4 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	LeftCheckButton5 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	LeftCheckButton6 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	LeftCheckButton7 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton1 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton2 = {
		DefaultChecked = false,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton3 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton4 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton5 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton6 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
	RightCheckButton7 = {
		DefaultChecked = true,
		ConfigKey = "My_Config_Key",
		Label = L["My_Check_Button_Label"],
	},
}

a.LoadConfigs(config)